// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020 Florian Schmaus
#include <cstddef>

namespace emper::lib::template_util {

// https://stackoverflow.com/a/66043076/194894
template <typename T>
auto getSize(T& t) -> size_t {
	typename T::size_type size = t.size();
	size_t value_type_size = sizeof(typename T::value_type);

	return size * value_type_size;
}

}	 // namespace emper::lib::template_util
