// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2020 Florian Schmaus
#include "Context.hpp"

#include <ostream>

thread_local Context* Context::currentContext;

auto operator<<(std::ostream& strm, const Context& context) -> std::ostream& {
	strm << "Context " << &context << " [tos: " << context.tos << " bos: "
			 << &context.context
			 /*
				<< " alphaFunLoc=" << context.alphaFunctionIpLocation
				<< " alphaFunValue=" << *((uintptr_t*) context.alphaFunctionIpLocation)
				<< " main=" << context.mainFunction.target<void(void)>()
				<< " hook=" << context.startAndResumeHook.target<void(void)>()
			 */
			 << "]";
	return strm;
}
