// SPDX-License-Identifier: LGPL-3.0-or-later
// Copyright © 2021 Florian Schmaus
#include "strategies/laws/LawsStrategyFactory.hpp"

class Runtime;

LawsStrategyFactory LawsStrategyFactory::INSTANCE;

auto LawsStrategyFactory::constructRuntimeStrategy(Runtime& runtime) -> LawsStrategy* {
	return new LawsStrategy(runtime);
}
